com.google.appengine.tools.admin

## Interface AppAdmin

-     public interface AppAdmin

  The application administration interface to App Engine. Use this API to update, configure, and otherwise manage an App Engine application. Use `AppAdminFactory` to retrieve an `AppAdmin` instance configured for a specific application.

  Synchronous versus Asynchronous requests: Some requests, such as `#update`, occur asynchronously and must be monitored with a `listener`. Other requests, such as `#updateIndexes`, are made synchronously. In either case, work often continues to occur asynchronously on the remote server after the request has been completed.

  Error handling: Most configuration operations that communicate with App Engine's remote administration server use a network connection. In cases where unrecoverable failures occur (such as a network failure), this API throws an `AdminException`.

  Application updates occur transactionally. If a failure occurs during update, you must `#rollback` the incomplete transaction before beginning another.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AppAdmin.UpdateOptions` Settable options for configuring the behavior of update operations.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `stageApplicationWithDefaultResourceLimits(java.io.File stagingDir)` Stage an application directory with default resource limits
    `void` | `stageApplicationWithRemoteResourceLimits(java.io.File stagingDir)` Stage an application directory with remote resource limits

- - ### Method Detail

    - #### stageApplicationWithDefaultResourceLimits

          void stageApplicationWithDefaultResourceLimits(java.io.File stagingDir)

      Stage an application directory with default resource limits

    - #### stageApplicationWithRemoteResourceLimits

          void stageApplicationWithRemoteResourceLimits(java.io.File stagingDir)

      Stage an application directory with remote resource limits